package com.zhyc.module.biosafety.service.impl;

import java.util.List;

import com.zhyc.common.annotation.DataScope;
import com.zhyc.module.biosafety.domain.QuarantineItems;
import com.zhyc.module.biosafety.mapper.QuarantineItemsMapper;
import com.zhyc.module.biosafety.service.IQuarantineItemsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 检疫项目Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-07-14
 */
@Service
public class QuarantineItemsServiceImpl implements IQuarantineItemsService
{
    @Autowired
    private QuarantineItemsMapper quarantineItemsMapper;

    /**
     * 查询检疫项目
     * 
     * @param id 检疫项目主键
     * @return 检疫项目
     */
    @Override
    public QuarantineItems selectQuarantineItemsById(Long id)
    {
        return quarantineItemsMapper.selectQuarantineItemsById(id);
    }

    /**
     * 查询检疫项目列表
     * 
     * @param quarantineItems 检疫项目
     * @return 检疫项目
     */
    @Override
    public List<QuarantineItems> selectQuarantineItemsList(QuarantineItems quarantineItems)
    {
        return quarantineItemsMapper.selectQuarantineItemsList(quarantineItems);
    }

    /**
     * 新增检疫项目
     * 
     * @param quarantineItems 检疫项目
     * @return 结果
     */
    @Override
    public int insertQuarantineItems(QuarantineItems quarantineItems)
    {
        return quarantineItemsMapper.insertQuarantineItems(quarantineItems);
    }

    /**
     * 修改检疫项目
     * 
     * @param quarantineItems 检疫项目
     * @return 结果
     */
    @Override
    public int updateQuarantineItems(QuarantineItems quarantineItems)
    {
        return quarantineItemsMapper.updateQuarantineItems(quarantineItems);
    }

    /**
     * 批量删除检疫项目
     * 
     * @param ids 需要删除的检疫项目主键
     * @return 结果
     */
    @Override
    public int deleteQuarantineItemsByIds(Long[] ids)
    {
        return quarantineItemsMapper.deleteQuarantineItemsByIds(ids);
    }

    /**
     * 删除检疫项目信息
     * 
     * @param id 检疫项目主键
     * @return 结果
     */
    @Override
    public int deleteQuarantineItemsById(Long id)
    {
        return quarantineItemsMapper.deleteQuarantineItemsById(id);
    }
}
